[arch-commits] Commit in texlive-fontsextra/repos (3 files)

Rémy Oudompheng remy at archlinux.org
Sat May 11 21:04:43 UTC 2019


    Date: Saturday, May 11, 2019 @ 21:04:42
  Author: remy
Revision: 352859

archrelease: copy trunk to testing-any

Added:
  texlive-fontsextra/repos/testing-any/
  texlive-fontsextra/repos/testing-any/PKGBUILD
    (from rev 352858, texlive-fontsextra/trunk/PKGBUILD)
  texlive-fontsextra/repos/testing-any/texlive-fontsextra.maps
    (from rev 352858, texlive-fontsextra/trunk/texlive-fontsextra.maps)

-------------------------+
 PKGBUILD                |   45 ++++++++++
 texlive-fontsextra.maps |  207 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 252 insertions(+)

Copied: texlive-fontsextra/repos/testing-any/PKGBUILD (from rev 352858, texlive-fontsextra/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2019-05-11 21:04:42 UTC (rev 352859)
@@ -0,0 +1,45 @@
+# Maintainer: Rémy Oudompheng <remy.archlinux.org>
+
+pkgname=texlive-fontsextra
+pkgver=2019.50876
+_revnr=${pkgver#2019.}
+pkgrel=1
+pkgdesc="TeX Live - all sorts of extra fonts"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('25dfbb328b8a717e39c8bb2bb382e49389a31bf7cfced896f5632719c7f9efcd'
+            '0cf7aebef83eabf5564560e04d427bc1ae168cc09849c19fb050f5f15037eec0')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+}

Copied: texlive-fontsextra/repos/testing-any/texlive-fontsextra.maps (from rev 352858, texlive-fontsextra/trunk/texlive-fontsextra.maps)
===================================================================
--- testing-any/texlive-fontsextra.maps	                        (rev 0)
+++ testing-any/texlive-fontsextra.maps	2019-05-11 21:04:42 UTC (rev 352859)
@@ -0,0 +1,207 @@
+Map Acorn.map
+Map Alegreya.map
+Map AnnSton.map
+Map AnonymousPro.map
+Map ArrowsADF.map
+Map ArtNouv.map
+Map ArtNouvc.map
+Map BaskervilleF.map
+Map BulletsADF.map
+Map Carrickc.map
+Map Chivo.map
+Map ClearSans.map
+Map Cochineal.map
+Map Coelacanth.map
+Map ComicNeue.map
+Map ComicNeueAngular.map
+Map CormorantGaramond.map
+Map CountriesofEurope.map
+Map CrimsonPro.map
+Map DSSerif.map
+Map EBGaramond-Maths.map
+Map EBGaramond.map
+Map ESSTIX.map
+Map Eichenla.map
+Map Eileen.map
+Map EileenBl.map
+Map Elzevier.map
+Map GotIn.map
+Map GoudyIn.map
+Map Heuristica.map
+Map InriaSans.map
+Map InriaSerif.map
+Map Kinigcap.map
+Map Konanur.map
+Map Kramer.map
+Map LibreBaskerville.map
+Map LibreBodoni.map
+Map LibreCaslon.map
+Map LobsterTwo.map
+Map MnSymbol.map
+Map MorrisIn.map
+Map Nouveaud.map
+Map OldStandard.map
+Map OrnementsADF.map
+Map PlayfairDisplay.map
+Map Raleway.map
+Map Romantik.map
+Map Rosario.map
+Map Rothdn.map
+Map RoyalIn.map
+Map Sanremo.map
+Map SourceCodePro.map
+Map SourceSansPro.map
+Map SourceSerifPro.map
+Map Starburst.map
+Map SticksTooText.map
+Map TXUprCal.map
+Map Typocaps.map
+Map XCharter.map
+Map Zallman.map
+Map accanthis.map
+Map algolrevived.map
+Map antt.map
+Map ap.map
+Map archaicprw.map
+Map arev.map
+Map arimo.map
+Map ascii.map
+Map aspectratio.map
+Map augie.map
+Map auncial.map
+Map aurical.map
+Map baskervaldx.map
+Map belleek.map
+Map bera.map
+Map beuron.map
+Map bguq.map
+Map boondox.map
+Map cabin.map
+Map caladea.map
+Map calligra.map
+Map cantarell.map
+Map carlito.map
+Map ccicons.map
+Map cinzel.map
+Map clm.map
+Map cm-lgc.map
+Map cmexb.map
+Map cmin.map
+Map cmsrb.map
+Map comfortaa.map
+Map crimson.map
+Map cuprum.map
+Map cyklop.map
+Map dante.map
+Map dejavu-type1.map
+Map dictsym.map
+Map droid.map
+Map dstroke.map
+Map dutchcal.map
+Map epigrafica.map
+Map erewhon.map
+Map esrelation.map
+Map esvect.map
+Map fbb.map
+Map fdsymbol.map
+Map fetamont.map
+Map fge.map
+Map fira.map
+Map foekfont.map
+Map fonetika.map
+Map fontawesome.map
+Map fontawesome5.map
+Map fourier-utopia-expert.map
+Map fourier.map
+Map frcursive.map
+Map gentium-type1.map
+Map gfsartemisia.map
+Map gfsbodoni.map
+Map gfscomplutum.map
+Map gfsdidot.map
+Map gfsneohellenic.map
+Map gfssolomos.map
+Map gillius.map
+Map go.map
+Map gptimes.map
+Map hacm.map
+Map icelandic.map
+Map imfellEnglish.map
+Map ipaex-type1.map
+Map iwona.map
+Map kpfonts.map
+Map kurier.map
+Map lato.map
+Map libertine.map
+Map libertinegc.map
+Map libertinus.map
+Map libertinust1math.map
+Map linearA.map
+Map mathabx.map
+Map mdbch.map
+Map mdgreek.map
+Map mdici.map
+Map mdpgd.map
+Map mdpus.map
+Map mdput.map
+Map mdsymbol.map
+Map mdugm.map
+Map merriweather.map
+Map miama.map
+Map mintspirit.map
+Map montserrat.map
+Map newpx.map
+Map newtx.map
+Map newtxsf.map
+Map newtxtt.map
+Map niceframe.map
+Map nimbus15.map
+Map noto.map
+Map oasy.map
+Map ocrb.map
+Map opensans.map
+Map overlock.map
+Map paratype-type1.map
+Map pbsi.map
+Map phaistos.map
+Map plex.map
+Map prodint.map
+Map pxtx.map
+Map quattrocento.map
+Map recycle.map
+Map roboto.map
+Map rsfso.map
+Map sansmathaccent.map
+Map sansmathfonts.map
+Map sqrcaps.map
+Map starfont.map
+Map stix.map
+Map stix2.map
+Map superiors.map
+Map svrsymbols.map
+Map tempora.map
+Map tfrupee.map
+Map tinos.map
+Map uaq.map
+Map ugq.map
+Map universalis.map
+Map ybd.map
+Map ybv.map
+Map yes.map
+Map yfrak.map
+Map yly.map
+Map yrd.map
+Map yv1.map
+Map yv2.map
+Map yv3.map
+Map yvo.map
+Map yvt.map
+Map zi4.map
+MixedMap allrunes.map
+MixedMap bbold.map
+MixedMap cmll.map
+MixedMap hfbright.map
+MixedMap lxfonts.map
+MixedMap pigpen.map
+MixedMap semaf.map
+MixedMap trajan.map


More information about the arch-commits mailing list